<div class="modal-header">
  <h4 class="modal-title">Create Invoice</h4>
  <button type="button" class="close" aria-label="Close" (click)="close()">
    <span aria-hidden="true">&times;</span>
  </button>
</div>

<div class="modal-body">
  <div class="form-group">
    <label for="templates">Select Template</label>
    <select class="form-control" id="templates" required [(ngModel)]="selectedTemplate">
      <option *ngFor="let template of templates" [ngValue]="template">{{template.id}}</option>
    </select>
  </div>
  <button type="button" class="btn btn-outline-dark" (click)="useTemplate()">Use Template</button>
</div>


<form [formGroup]="invoiceItemsForm" (submit)="submitForm()">
  <div class="modal-body">
    <div class="form-group">
      <label for="clients">Select Client</label>
      <select class="form-control" formControlName="client" [ngClass]="{ 'is-invalid': submitted && f.client.errors }">
        <option *ngFor="let client of clients, let index = index" [value]="client.id">{{client.name}}</option>
      </select>
      <div *ngIf="submitted && f.client.errors" class="invalid-feedback">
        <div *ngIf="f.client.errors.required">Client is required</div>
      </div>
    </div>
    <ng-container formArrayName="items" *ngFor="let item of invoiceItemsForm.get('items').controls; let i = index;">
      <div [formGroupName]="i" class="form-group">
        <label class="m-1 font-weight-bold d-block">Item {{i+1}}</label>
        <label class="m-2">Description</label>
        <input formControlName="description" placeholder="Item description" type="text" class="form-control" [ngClass]="{ 'is-invalid': submitted && item.controls.description.errors }">
        <div *ngIf="submitted && item.controls.description.errors" class="invalid-feedback">
          <div *ngIf="item.controls.description.errors.required">Description is required</div>
        </div>

        <label class="m-2">Unit cost</label>
        <input formControlName="cost" placeholder="Item cost" type="text" class="form-control" [ngClass]="{ 'is-invalid': submitted && item.controls.cost.errors }">
        <div *ngIf="submitted && item.controls.cost.errors" class="invalid-feedback">
          <div *ngIf="item.controls.cost.errors.required">Cost is required</div>
        </div>

        <label class="m-2">Quantity / Hr Rate</label>
        <input formControlName="quantity" placeholder="Item quantity" type="text" class="form-control" [ngClass]="{ 'is-invalid': submitted && item.controls.quantity.errors }">
        <div *ngIf="submitted && item.controls.quantity.errors" class="invalid-feedback">
          <div *ngIf="item.controls.quantity.errors.required">Quantity is required</div>
        </div>

        <label class="m-2">Amount</label>
        <input formControlName="amount" placeholder="Item amount" type="text" class="form-control" [ngClass]="{ 'is-invalid': submitted && item.controls.amount.errors }">
        <div *ngIf="submitted && item.controls.amount.errors" class="invalid-feedback">
          <div *ngIf="item.controls.amount.errors.required">Amount is required</div>
        </div>
      </div>
      <hr>
    </ng-container>

    <button type="button" class="btn btn-outline-dark" (click)="addItem()">Add New Item</button>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline-dark" (click)="reset()">Cancel</button>
    <button type="submit" class="btn btn-success">Submit</button>
  </div>
</form>
